/** remove caret icon from dropdowns */
#header-filter-btns .dropdown-toggle::after {
    display: none;
}


#content {
    text-align: center;
    margin-top: 20px;
    max-width: unset;
}

.feedback-btn {
    color: #f88;
}

#find_song {
    text-align: center;
    /* padding: 5px; */
    min-width: 280px;
}

html,
body {
    background-color: black;
    color: white;
}

.container {
    /* max-width: 90%; */
    /* text-align: center; */
    /* position: relative; */
    /* margin: 0 auto; */
}




#setlist-view-songs-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
    grid-template-rows: masonry;
}

#setlist-view-songs-grid>.setlist-part-view-table {
    margin: 7pt 0;
    margin-bottom: 0;
    padding: 0 10pt 5pt;
}

.song_results_grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
    grid-template-rows: masonry;
    /* grid-gap: 1rem;      */
}

.song_results_grid>* {
    margin: 7pt 0;
    /* margin-top: 0; */
    padding: 0 10pt 5pt;
    /* display:inline-block;
    vertical-align:middle;
    background-color:darkslategrey; */
}

.default_item_space {
    padding: 1rem 0;
}

.song_item {
    /* border-bottom: 1px solid #444444; */
    /* margin: 3pt; */
    /* border: 1px solid #444444; */
    /* border-radius: 5px; */
}

#song_results {
    /* text-align: center; */
    /* position: relative; */
    /* width: auto; */
    /* display: block; */
}

.setlist-part-header {
    font-size: 22px;
    margin-bottom: 5px;
    margin-top: -8px;
}

.time-estimate-part {
    padding-left: 5px;
    font-size: 10px;
}

.setlist-part-header span {
    border: solid 1px #fff;
    border-radius: 5px;
    width: auto;
    padding: 0px 30px;
    padding-bottom: 2px;
}

#output {
    height: auto;
    width: 100%;
    margin: 0 auto;
    position: relative;
    justify-content: center;
    align-items: center;
    display: flex;
}

#song_item_0 {
    padding-top: 0;
}

#output table,
#output td,
#output th {
    border: 1px solid #555;
}

#output table {
    width: auto;
    margin: 10px auto auto;
    /* margin-bottom: 10px; */
    left: 0;
    right: 0;
    font-family: "Courier New", Courier, monospace;
}

/***



#output td {
    border: 1px solid #555;
}

#output table {
    width: auto;
    margin: 10px auto auto;
    left: 0;
    right: 0;
    font-family: "Courier New", Courier, monospace;
  border-collapse: separate;
  border-spacing: 0;
}

#output table tr:nth-child(2) td:first-of-type {
  border-top-left-radius: 3px !important;
}

#output table tr:nth-child(2) td:last-of-type {
  border-top-right-radius: 3px !important;
}

#output table tr:last-of-type td:first-of-type {
  border-bottom-left-radius: 3px !important;
}

#output table  tr:last-of-type td:last-of-type {
  border-bottom-right-radius: 3px !important;
}

*/

.couriernew {
    font-family: "Courier New", Courier, monospace;
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

th {
    height: 20px;
}

#output table .left {
    width: auto;
    min-width: 100px;
    text-align: right;
    padding-right: 10px;
    padding-left: 10px;
}

#output table .right {
    text-align: left;
    padding-left: 10px;
    min-width: 150px;
}

hr {
    border-top: #444 1px solid;
}

.chord_distance {
    margin-left: 10px;
}

.chord {
    float: left;
    min-width: 30px;
}

@media only screen and(min-width: 851px) {
    .song_content_table .youtubetable {
        float: right;
        margin-right: 10px;
    }
}

@media only screen and(max-width: 850px) {
    .song_content_table {
        width: 100% !important;
        float: initial !important;
    }

    .youtube-content {
        float: initial !important;
        width: 100% !important;
    }

    .youtube-content iframe {
        margin-top: 0 !important;
        position: relative !important;
        float: initial !important;
        max-width: 100% !important;
    }

    .chord {
        float: left;
        min-width: 10px;
    }
}

h2,
.song_title {
    /* font-family: monospace; */
    /* font-family: 'Courier New', Courier, monospace; */
}

.song_item {
    /* width: 96%; */
}

.song_title_artist {
    margin-bottom: 1px;
}

.song_item_artist {
    font-size: 10px;
    margin-bottom: 2px;
    font-style: italic;
}

.form-control {
    margin: 0 5% 5px 5px;
    height: 20px;
    width: 97%;
}

.metadata {
    /* font-family: cursive; */
    font-family: monospace;
}

#keys_dropdown .form-control,
#progression_dropdown .form-control {
    width: 90%;
}

.dropdown-menu li a input {
    vertical-align: middle;
    margin-top: -2px;
}

.autocomplete-items div {
    font-family: monospace;
    font-size: 9px;
}

.btn {
    font-family: monospace;
    padding: 1px 5px;
}

.fwd-btn-style {
    /* padding-left : 20px; */
    padding: 1px 3px;
    border-radius: 5px;
    border: #ccc solid 1px;
    font-family: monospace;
    color: #ccc;
    background-color: black;
    text-decoration: none;
    font-size: smaller;
}

.fwd-btn-style:hover {
    color: white;
    border: white solid 1px;
    text-decoration: none;
}

.multitracks img {
    -webkit-filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0.5));
    filter: url(#drop-shadow);
    -ms-filter: "progid:DXImageTransform.Microsoft.Dropshadow(OffX=12, OffY=12, Color='#444')";
    filter: "progid:DXImageTransform.Microsoft.Dropshadow(OffX=12, OffY=12, Color='#444')";
}

.ref_img {
    text-align: center
}

.worshiptogether:hover {
    color: #51c51f;
    border: #51c51f solid 1px;
}

.spotify:hover {
    color: #2b7a09;
    border: #2b7a09 solid 1px;
}

.multitracks:hover {
    color: #00a8e6;
    border: #00a8e6 solid 1px;
}

.genius:hover {
    color: #f7f761;
    border: #f8f16c solid 1px;
}

.ref_img img {
    /* padding-top: 5px;
    padding-bottom: 5px; */
    /* width: 150px; */
    width: 100px;
    cursor: pointer;
}

.ref_wt_img img {
    height: 18px;
    cursor: pointer;
    border-radius: 3px;
    margin-right: 7px;
}

.ref_mt_img img {
    height: 18px;
    cursor: pointer;
    border-radius: 3px;
    margin-right: 7px;
}

.ref_spotify_img img {
    height: 17px;
    cursor: pointer;
    border-radius: 3px;
    margin-right: 7px;
}

.ref_gn_img img {
    height: 16px;
    cursor: pointer;
    border-radius: 3px;
    margin-right: 3px;
}

.youtube img {
    /* padding-top: 3px;  
    width: 45px; */
    /* padding-top: 2px; */
    height: 16px;
    border-radius: 3px;
    width: auto;
}

.praisecharts img {
    /* padding-top: 2px; */
    height: 18px;
    border-radius: 3px;
    width: auto;
    margin-right: 5px;
}

/* 
.praisecharts img:hover {
    border: solid 1px #ccc;
    border-radius: 5px;
    padding: 2px;
    padding-top: 2px;    
    height: 24px;
    width: auto;
} */

.balance-url-img-pos {
    margin-left: 5px;
    margin-right: 5px;
}

.chordify img {
    padding-top: 3px;
    width: 60px;
    margin-left: 5px;
}

.genius img {
    /* height: 30px; */
    width: 70px;
}

.worshiptogether img {
    width: 100px;
}

.xwide {
    padding-right: 12px;
}

.scrollable-menu {
    height: auto;
    max-height: 400px;
    overflow-x: hidden;
}

#results {
    padding-top: 10px;
}

#page_title {
    color: white;
}

#impressum,
#privacy,
#home {
    color: gray;
    font-size: small;
}

.urls {
    clear: both;
}

.youtube-content {
    position: relative;
}

.youtube-content iframe {
    left: 0;
    right: 0;
    max-width: 100% !important;
    margin-top: 10px;
}

.btn-group a {
    color: black;
    text-align: center;
    cursor: pointer;
}

.btn-group li {
    margin-left: 10px;
}

#songs_dropdown,
#albums_dropdown,
#artists_dropdown {
    transform: initial !important;
    left: 0;
    right: 0;
    width: 360px;
    margin: 28px auto auto;
    font-family: monospace;
}

#artists_dropdown {
    width: 250px;
}

#artists_dropdown .form-control {
    width: 210px;
}

#songs_dropdown .form-control {
    width: 300px;
}

#albums_dropdown .form-control {
    width: 330px;
}

#keys_dropdown .form-control {
    width: 68px;
}


#songs_dropdown {
    width: 330px;
}

#keys_dropdown,
#progression_dropdown {
    font-family: monospace;
    min-width: 80px;
    width: 170px;
}

#keys_dropdown {
    width: 70px;
}

.xwide {
    padding-right: 12px;
}

.scrollable-menu {
    height: auto;
    max-height: 400px;
    overflow-x: hidden;
}

#results {
    padding-top: 10px;
}

#page_title {
    color: white;
}

#impressum,
#privacy,
#home {
    color: gray;
}

.urls {
    clear: both;
}

.song-filter {
    min-width: 40px;
}

.prog_marked {
    color: red;
}

#missing_chords_form,
.feedbackform {
    background-color: black;
    position: fixed;
    display: none;
    opacity: 0;
    width: 80%;
    height: 80%;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border: #ddd 1px solid;
    border-radius: 10px;
    z-index: 100;
    vertical-align: middle;
    text-align: center;
    align-items: center;
}

#missing_song_dialogue,
.feedback_dialogue {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    margin: auto;
    max-height: 150px;
    width: 80%;
    align-items: center;
    text-align: center;
}

#missingSongTitle,
.feedback_title {
    max-width: 300px;
    width: 80%;
    text-align: center;
    margin-top: 5px;
}

#feedbackFormTitle,
#featureReqFormTitle {
    max-width: 400px;
    width: 100%;
    margin-top: 5px;
    height: 100px;
}

#background-focus {
    z-index: 99;
    display: none;
    position: fixed;
    opacity: 0;
    width: 100%;
    height: 100%;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.msg,
.msg p {
    white-space: pre-line !important;
}

#submitMissingSongButton,
#cancelMissingSong,
.formButton {
    margin-top: 10px;
    width: 100px;
    text-align: center;
    /* height: 20px; */
}

#missingSongThankYou,
.formthankyou {
    display: none;
    text-align: center;
}

.share_song {
    height: 16px;
    filter: invert(1);
    cursor: pointer
}

.add_song_fav_icon {
    cursor: pointer;
    width: 16px;
}

.tooltip-main {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    font-weight: 700;
    background: #f3f3f3;
    border: 1px solid #737373;
    color: #737373;
    margin: 4px 121px 0 5px;
    float: right;
    text-align: center;
}

.tooltip-qm {
    float: left;
    margin: -2px 0 3px 4px;
    font-size: 12px;
}

.tooltip-inner {
    max-width: 236px !important;
    max-height: 30px;
    font-size: 10px;
    /* margin-top: 0px; */
    /* margin-bottom: -10px; */
    padding: 2px 5px;
    background: #ccc;
    color: rgb(0, 0, 0, 0.7);
    border: 1px solid #737373;
    text-align: center;
    /* left: 50%;
    transform: translateX(-50%); */
}

.arrow::before {
    z-index: 1;
    /* border-color: transparent !important; */
    border-top-color: #ccc !important;
    border-bottom-color: #ccc !important;
}


.tooltip.show {
    opacity: 1;
}

.bs-tooltip-auto[x-placement^=bottom] .arrow::before,
.bs-tooltip-bottom .arrow::before {
    border-bottom-color: #f00;
    /* Red */
}

.navigation-btn {
    font-size: 12px;
    margin-bottom: 5px;
    margin-top: 5px;
}

#don-pp img {
    height: 50px;
}

#don-pp {
    /* display: none; */
    font-size: small;
}

.nashville-style {
    font-family: "Courier New", Courier, monospace;
}

.song-transpose {
    margin: 0 5px;
    margin-top: 3px;
}

#currentTranspositionBtn,
.song-transpose {
    opacity: 1 !important;
}

#songs_dropdown,
#albums_dropdown,
#artists_dropdown,
#keys_dropdown,
#progression_dropdown,
.form-control,
.metadata,
.song-transpose-down,
.song-transpose-up,
.song-transpose {
    font-size: small;
}


@media (max-width:1281px) {
    /* hi-res laptops and desktops */
}

@media (max-width:1025px) {
    /* big landscape tablets, laptops, and desktops */
}

@media (max-width:961px) {

    /* tablet, landscape iPad, lo-res laptops ands desktops */
    .song_content_table td {
        font-size: 20px;
    }

    .chord {
        min-width: 15px;
        padding-right: 9px;
    }

    #output table .left {
        min-width: 115px;
    }

    .container {
        padding-right: 15px !important;
        padding-left: 15px !important;
    }
}

@media (max-width:641px) {

    /* portrait tablets, portrait iPad, landscape e-readers, landscape 800x480 or 854x480 phones */
    .song_content_table td {
        font-size: 13px;
    }

    .chord {
        min-width: 15px;
        padding-right: 9px;
    }

    .container {
        padding-right: 15px !important;
        padding-left: 15px !important;
    }
}

@media (max-width:481px) {

    /* portrait e-readers (Nook/Kindle), smaller tablets @ 600 or @ 640 wide. */
    .song_content_table td {
        font-size: 13px;
    }

    .chord {
        min-width: 15px;
        padding-right: 9px;
    }

    .container {
        padding-right: 10px !important;
        padding-left: 10px !important;
    }

    .song_item {
        width: 100%;
    }
}

@media (max-width:320px) {

    /* smartphones, iPhone, portrait 480x320 phones */
    .song_content_table td {
        font-size: small;
    }

    .chord {
        min-width: 15px;
        padding-right: 9px;
    }

    #output table .left {
        white-space: nowrap;
    }

    .container {
        padding-right: 0px !important;
        padding-left: 10px !important;
    }

    .song_item {
        width: 100%;
    }
}

#header-survey-btn {
    display: none;
}


.radio-container {
    display: flex;
    flex-direction: row;
}

.radio-container label {
    display: flex;
    align-items: center;
}

.radio-container input[type="radio"] {
    margin-left: 8px;
    margin-right: 2px;
}

#svg-clipboard-icon {
    margin-bottom: 12px;
    margin-top: -0.6px;
}